Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615936 - TypeError: object of type 'NoneType' has no len()
TypeError: object of type 'NoneType' has no len()
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 06:08 EDT by Alexander Todorov
Modified: 2010-11-10 14:51 EST (History)
0 users

See Also:
Fixed In Version: anaconda-13.21.60-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:51:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump from report (103.21 KB, text/plain)
2010-07-19 06:08 EDT, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2010-07-19 06:08:17 EDT
Created attachment 432812 [details]
anaconda dump from report

Description of problem:
anaconda 13.21.58 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/udev.py", line 270, in udev_device_get_wwid
    serial_len = len(serial)
  File "/usr/lib/anaconda/iw/filter_gui.py", line 719, in populate
    ident = udev_device_get_wwid(d)
  File "/usr/lib/anaconda/iw/filter_gui.py", line 622, in getScreen
    self.populate(nonraids, mpaths, raids)
  File "/usr/lib/anaconda/gui.py", line 1418, in setScreen
    new_screen = self.currentWindow.getScreen(anaconda)
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 1476, in keyRelease
    self.nextClicked()
TypeError: object of type 'NoneType' has no len()


Version-Release number of selected component (if applicable):
anaconda 13.21.58

How reproducible:
Always

Steps to Reproduce:
1. Select Specialized storage devices and hit Next
  
Actual results:
Traceback

Expected results:
No traceback. Advanced storage screen appears.

Additional info:
Comment 1 Chris Lumens 2010-07-19 09:56:52 EDT
I have a fix for this on master already.  Easy to cherry-pick over.
Comment 3 Alexander Todorov 2010-07-23 06:13:49 EDT
No traceback with snap #8 (0722.0). Moving to VERIFIED.
Comment 4 releng-rhel@redhat.com 2010-11-10 14:51:16 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.